> For the complete documentation index, see [llms.txt](https://help.paintscout.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://help.paintscout.com/developers/settings-event-types.md).

# Settings   Event Types

## GET /settings/eventTypes

> List Event Types

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"EventType":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the event type."},"name":{"type":"string","description":"The name of the event type."}},"required":["id","name"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/eventTypes":{"get":{"summary":"List Event Types","operationId":"listEventTypes","tags":["Settings - Event Types"],"responses":{"200":{"description":"List of event types","content":{"application/json":{"schema":{"type":"object","properties":{"totalRows":{"type":"number"},"rows":{"type":"array","items":{"$ref":"#/components/schemas/EventType"}}}}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## POST /settings/eventTypes

> Create Event Type

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"EventType":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the event type."},"name":{"type":"string","description":"The name of the event type."}},"required":["id","name"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/eventTypes":{"post":{"summary":"Create Event Type","operationId":"createEventType","tags":["Settings - Event Types"],"requestBody":{"description":"Data for creating a new event type","required":true,"content":{"application/json":{"schema":{"type":"object","additionalProperties":false,"properties":{"name":{"type":"string","description":"The name of the event type."}},"required":["name"]}}}},"responses":{"200":{"description":"Successfully created event type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventType"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"409":{"description":"Conflict - Event type already exists","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /settings/eventTypes/{id}

> Retrieve Event Type

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"EventType":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the event type."},"name":{"type":"string","description":"The name of the event type."}},"required":["id","name"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/eventTypes/{id}":{"get":{"summary":"Retrieve Event Type","operationId":"getEventType","tags":["Settings - Event Types"],"parameters":[{"name":"id","in":"path","description":"ID of the Event Type","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"Details about the event type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventType"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## PUT /settings/eventTypes/{id}

> Update Event Type

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"EventType":{"type":"object","additionalProperties":false,"properties":{"id":{"type":"string","description":"The unique ID of the event type."},"name":{"type":"string","description":"The name of the event type."}},"required":["id","name"]},"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/eventTypes/{id}":{"put":{"summary":"Update Event Type","operationId":"updateEventType","tags":["Settings - Event Types"],"parameters":[{"name":"id","in":"path","description":"ID of the Event Type","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Updated event type data","required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventType"}}}},"responses":{"200":{"description":"Successfully updated event type","content":{"application/json":{"schema":{"$ref":"#/components/schemas/EventType"}}}},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## DELETE /settings/eventTypes/{id}

> Delete Event Type

```json
{"openapi":"3.0.0","info":{"title":"Core API","version":"v2"},"servers":[{"url":"https://openapi.paintscout.com/v2"}],"security":[{"BearerAuth":[]}],"components":{"securitySchemes":{"BearerAuth":{"type":"http","scheme":"bearer"}},"schemas":{"Error":{"type":"object","additionalProperties":false,"properties":{"errors":{"type":"array","items":{"type":"string"},"description":"Array of error messages"}}}}},"paths":{"/settings/eventTypes/{id}":{"delete":{"summary":"Delete Event Type","operationId":"deleteEventType","tags":["Settings - Event Types"],"parameters":[{"name":"id","in":"path","description":"ID of the Event Type","required":true,"schema":{"type":"string"}}],"responses":{"204":{"description":"Event Type successfully deleted"},"400":{"description":"Bad Request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"401":{"description":"Not Authorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}},"500":{"description":"Unexpected error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://help.paintscout.com/developers/settings-event-types.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
